//
//  STDockEffectController.h
//  Startrail
//
//  Created by Matteo Manferdini on 06/10/07.
//  Copyright 2007 Pawn Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "STUserDefaultsController.h"


/*!
    @class STDockEffectController 
    @superclass  NSObject {
    @abstract 
    @discussion The class registers itself as an observer for mouse movements. When the mouse moves over the dock, it activates the dock effect.
*/

@interface STDockEffectController : NSObject 
{
	@private
	IBOutlet NSController *patchController;
	IBOutlet STUserDefaultsController *userDefaultsController;
}

@end
