//
//  STMouseGesturesRecognizer.h
//  Startrail
//
//  Created by Matteo Manferdini on 07/10/07.
//  Copyright 2007 Pawn Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface STMouseGesturesRecognizer : NSObject 
{
	@private
	NSMutableArray *mouseZonesBuffer;
}

+ (STMouseGesturesRecognizer*)sharedMouseGesturesRecognizer;

- (NSString*)mouseZoneForXPosition:(float)xPosition YPosition:(float)yPosition;

- (void)addMouseZone:(NSString*)mouseZone;

- (NSString*)mouseGesture;


@end
